Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_RT_Servant_Dispatcher Class Reference

Concrete instantiation of the Servant_Dispatcher strategy. More...

`#include <RT_Servant_Dispatcher.h>`

List of all members.

## Public Methods
virtual | ~TAO_RT_Servant_Dispatcher (void)
void | pre_invoke_remote_request (TAO_POA &poa, CORBA::Short servant_priority, TAO_Service_Context &request_service_context, TAO_Service_Context &reply_service_context, TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state ACE_ENV_ARG_DECL)
| Pre_invoke remote request. More...
void | pre_invoke_collocated_request (TAO_POA &poa, CORBA::Short servant_priority, TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state ACE_ENV_ARG_DECL)
| Pre_invoke collocated request. More...
void | post_invoke (TAO_POA &poa, TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)
| Post_invoke request. More...
TAO_POA * | create_POA (const ACE_CString &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter ACE_ENV_ARG_DECL)
| Factory method for creating new POA's. More...

## Detailed Description

Concrete instantiation of the Servant_Dispatcher strategy.

## Constructor & Destructor Documentation

TAO_RT_Servant_Dispatcher::~TAO_RT_Servant_Dispatcher | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_POA * TAO_RT_Servant_Dispatcher::create_POA | ( | const ACE_CString & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter *object_adapter | ACE_ENV_ARG_DECL
| ) |

| Factory method for creating new POA's.

void TAO_RT_Servant_Dispatcher::post_invoke | ( | TAO_POA & | poa,
|  | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state
| ) |

| Post_invoke request.

void TAO_RT_Servant_Dispatcher::pre_invoke_collocated_request | ( | TAO_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state | ACE_ENV_ARG_DECL
| ) |

| Pre_invoke collocated request.

void TAO_RT_Servant_Dispatcher::pre_invoke_remote_request | ( | TAO_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_Service_Context & | request_service_context,
|  | TAO_Service_Context & | reply_service_context,
|  | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state | ACE_ENV_ARG_DECL
| ) |

| Pre_invoke remote request.

The documentation for this class was generated from the following files:

- RT_Servant_Dispatcher.h
- RT_Servant_Dispatcher.cpp